compact1, compact2, compact3
java.util.concurrent

## Interface ForkJoinPool.ForkJoinWorkerThreadFactory

Enclosing class:
  ForkJoinPool

    public static interface ForkJoinPool.ForkJoinWorkerThreadFactory

Factory for creating new `ForkJoinWorkerThread`s. A `ForkJoinWorkerThreadFactory` must be defined and used for `ForkJoinWorkerThread` subclasses that extend base functionality or initialize threads with different contexts.

### Method Summary

All Methods Instance Methods Abstract Methods
`ForkJoinWorkerThread` `newThread(ForkJoinPool pool)` Returns a new worker thread operating in the given pool.

### Method Detail

#### newThread

    ForkJoinWorkerThread newThread(ForkJoinPool pool)

Returns a new worker thread operating in the given pool.

Parameters:
  `pool` - the pool this thread works in
Returns:
  the new worker thread
Throws:
  `NullPointerException` - if the pool is null